Summary:	Show and delete mail on pop3 servers
Name:		kshowmail
Version:	3.2.1
Release: %mkrel 1
License:	GPL
Url:		http://sourceforge.net/projects/kshowmail/
Group:		Networking/Mail
Source0:	kshowmail-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	kdelibs-devel kdenetwork-devel ImageMagick kdepim-devel
BuildRequires:	desktop-file-utils
Obsoletes:	kde3-kshowmail
Provides:	kde3-kshowmail

%description
KShowmail is a KDE utility to show headers or the complete mails on pop3 
servers without transfering them to the local mail client. Unpleasant mails can
be deleted on the server.  The information can be refreshed via timers.

%prep
%setup -q

%build
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

%{?__cputoolize: %{__cputoolize} }


CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure	--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--disable-rpath \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-embedded \
		--enable-fast-install=yes \
%if "%{_lib}" != "lib"
	        --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
		--with-xinerama \
		--enable-final
# Laurent necessary to remove all .cpp create from ui
make clean
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -d $RPM_BUILD_ROOT%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
cp pics/kshowmail16.png $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert pics/kshowmail.png -size 32x32 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png
cp pics/kshowmail.png $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications/kde
desktop-file-install --vendor='' \
	--dir=%{buildroot}%{_datadir}/applications/kde \
	--add-category='Network' \
	--add-category='Email' \
	--add-only-show-in='KDE' \
	%{buildroot}%_datadir/applnk/Internet/*.desktop
rm -f %{buildroot}%_datadir/applnk/Internet/*.desktop


%find_lang %name
 
%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%clean
rm -rf $RPM_BUILD_ROOT/

%files -f %name.lang 
%defattr (-,root,root)
%_bindir/*
%_libdir/kde3/*
%_datadir/applications/kde/*.desktop
%_datadir/services/*.desktop

%dir %_datadir/apps/kshowmail/
%dir %_datadir/apps/kshowmail/pics/
%_datadir/apps/kshowmail/*.rc
%_datadir/apps/kshowmail/pics/*.png

%_datadir/icons/hicolor/*/apps/*.png

%dir %_datadir/apps/kshowmail/sounds/
%_datadir/apps/kshowmail/sounds/*.wav

%dir %_docdir/HTML/en/kshowmail/
%doc %_docdir/HTML/en/kshowmail/common
%doc %_docdir/HTML/en/kshowmail/*.bz2
%doc %_docdir/HTML/en/kshowmail/*.docbook

%dir %_docdir/HTML/de/kshowmail/
%doc %_docdir/HTML/de/kshowmail/common
%doc %_docdir/HTML/de/kshowmail/*.bz2
%doc %_docdir/HTML/de/kshowmail/*.docbook

%dir %_docdir/HTML/es/kshowmail/
%doc %_docdir/HTML/es/kshowmail/common
%doc %_docdir/HTML/es/kshowmail/*.bz2
%doc %_docdir/HTML/es/kshowmail/*.docbook

%dir %_docdir/HTML/fr/kshowmail/
%doc %_docdir/HTML/fr/kshowmail/common
%doc %_docdir/HTML/fr/kshowmail/*.bz2
%doc %_docdir/HTML/fr/kshowmail/*.docbook

%dir %_docdir/HTML/sv/kshowmail/
%doc %_docdir/HTML/sv/kshowmail/common
%doc %_docdir/HTML/sv/kshowmail/*.bz2
%doc %_docdir/HTML/sv/kshowmail/*.docbook

%dir %_docdir/HTML/hu/kshowmail/
%doc %_docdir/HTML/hu/kshowmail/common
%doc %_docdir/HTML/hu/kshowmail/*.bz2
%doc %_docdir/HTML/hu/kshowmail/*.docbook

%dir %_docdir/HTML/ru/kshowmail/
%doc %_docdir/HTML/ru/kshowmail/common
%doc %_docdir/HTML/ru/kshowmail/*.bz2
%doc %_docdir/HTML/ru/kshowmail/*.docbook

%dir %_docdir/HTML/it/kshowmail/
%doc %_docdir/HTML/it/kshowmail/common
%doc %_docdir/HTML/it/kshowmail/*.bz2
%doc %_docdir/HTML/it/kshowmail/*.docbook


%changelog
* Thu Aug 09 2007 Funda Wang <fundawang@mandriva.org> 3.2.1-1mdv2008.0
+ Revision: 60843
- use hicolor theme
- add missing files for kcontrol module
- use xdg menu
- New version 3.2.1

* Mon Apr 23 2007 Laurent Montel <lmontel@mandriva.org> 3.1.2-1mdv2008.0
+ Revision: 17176
- 3.1.2
  Fix compile under x86_64
  Use macro for doc file


* Fri Sep 01 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-01 15:03:09 (59335)
- Rebuild

* Thu Aug 03 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-03 09:49:53 (43145)
- import kshowmail-3.1.0-3mdk

* Thu Dec 15 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.1.0-3mdk
- Fix BuildRequires
- use mkrel

* Fri May 06 2005 Laurent MONTEL <lmontel@mandriva.com> 3.1.0-2mdk
- Fix buildrequires

* Thu Jul 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.0-1mdk
- 3.1.0

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-5mdk
- Rebuild

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-4mdk
- Rebuild

